"Add discussion" plus habitual talk page workflow can result in a duplicate signature
Closed, ResolvedPublic3 Story Points

Description

The mobile "Add discussion" button helpfully adds ~~~~ automatically to the end of your comment. Unfortunately, since editing a talk page section to reply to a thread doesn't do this, you still get into the habit of adding ~~~~ manually, which via force of habit leads to duplicate sigs whenever you use "Add discussion". I suggest either removing this automatic sig, or detecting "~~~~" at the end of the text and not adding it again if present.

Acceptance criteria

  • Auto-add signature to replies. If "~~~~" is inside markup do not append.

QA steps

Use the beta cluster for this one.

  • Make sure you are logged in and visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Talk
  • Click talk button at bottom of page
  • Click add discussion in top right of overlay
  • Write some text.
  • click save in top right
  • After the save has completed, in the talk overlay click your new discussion. Verify your username is inside the talk page section
  • type in the reply box and hit save
  • Verify your username is in the reply
  • Run the above steps again but this time put "~~~~" (signature wikitext) somewhere inside your text. Ensure that your username doesn't appear twice.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2018, 1:34 AM
Jhernandez added a subscriber: Jhernandez.

Sounds like a good idea! Thanks @HairyDude

Jdlrobson updated the task description. (Show Details)Apr 24 2018, 4:42 PM
Jdlrobson set the point value for this task to 3.
ovasileva triaged this task as Normal priority.May 2 2018, 1:50 PM
Jdlrobson claimed this task.

Change 440468 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Autoassign only when necessary

https://gerrit.wikimedia.org/r/440468

Jdlrobson reassigned this task from Jdlrobson to Jdrewniak.
Jdlrobson added a subscriber: Jdlrobson.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdrewniak.

Alex, added some QA steps let me know if anything is not clear.

Change 440468 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] Autosign only when necessary

https://gerrit.wikimedia.org/r/440468

lookin good

╱╱┏╮
╱╱┃┃
▉━╯┗━╮
▉┈┈┈┈┃
▉╮┈┈┈┃
╱╰━━━╯

Looks good to me on beta. Tried a few devices and browsers. Signatures abound.

ovasileva closed this task as Resolved.Fri, Jun 29, 11:12 AM